Slick Forums

Discuss the Slick 2D Library
It is currently Wed Oct 16, 2019 9:35 pm

All times are UTC




Post new topic Reply to topic  [ 12 posts ] 
Author Message
PostPosted: Sat May 05, 2012 7:35 pm 
Offline
Slick Zombie

Joined: Sat Jan 27, 2007 7:10 pm
Posts: 1482
I've added a tutorial to the wiki explaining how to keep up with the development branch:
http://slick.cokeandcode.com/wiki/doku. ... ent_branch


Top
 Profile  
 
PostPosted: Sun May 06, 2012 5:26 am 
Offline
Regular
User avatar

Joined: Wed Apr 27, 2011 3:29 pm
Posts: 197
Location: United State of California
Thanks for doing that. It's very easy to follow.

_________________
Current Testing Machine:
Windows 7 x64, 4GB RAM DDR3, 3.3ghz AMD Athlon II X3 455, AMD Radeon HD 6800 series.


Top
 Profile  
 
PostPosted: Tue May 08, 2012 7:02 am 
Offline

Joined: Mon Feb 13, 2012 6:31 pm
Posts: 40
Thanks davedes, this tutorial really helps. I hope the post gets sticked


Top
 Profile  
 
PostPosted: Thu Jun 28, 2012 2:37 pm 
Offline
Oldbie

Joined: Thu Mar 15, 2012 12:38 am
Posts: 290
It worked like a charm - very easy.

Thanks!


Top
 Profile  
 
PostPosted: Thu Jun 28, 2012 5:53 pm 
Offline

Joined: Mon May 07, 2012 11:36 pm
Posts: 93
Just thought i'd mention that i had to disable my anti-virus software for it to download and install correctly (using AVG free). I have to do that to update Minecraft too. Hope this helps someone if they have any trouble with it.


Top
 Profile  
 
PostPosted: Thu Jul 05, 2012 11:47 am 
Offline

Joined: Thu May 19, 2011 9:43 am
Posts: 50
Quote:
Then you simply compile the source as per usual.
...


Could you explain this step in detail, so that people new to game programming can use the latest build too?

I have this:
Image

What do I have to do with it?
I'm using Eclipse


Top
 Profile  
 
PostPosted: Thu Jul 05, 2012 12:52 pm 
Offline
Slick Zombie

Joined: Sat Jan 27, 2007 7:10 pm
Posts: 1482
pekhe wrote:
Quote:
Then you simply compile the source as per usual.
...


Could you explain this step in detail, so that people new to game programming can use the latest build too?

I have this:
Image

What do I have to do with it?
I'm using Eclipse

You'd need to create a new project in Eclipse, then have your game reference that project.

I'd suggest following the second part of the guide instead, which also explains how to compile the pulled source code.


Top
 Profile  
 
PostPosted: Thu Jul 05, 2012 2:18 pm 
Offline

Joined: Thu May 19, 2011 9:43 am
Posts: 50
Thanks!
I will try that.


Top
 Profile  
 
PostPosted: Thu Jul 05, 2012 4:26 pm 
Offline

Joined: Thu May 19, 2011 9:43 am
Posts: 50
Okay, I can't get it to work.
I downloaded kevglass-slick-9d7443ec33af.zip and extracted trunk\Slick\ to a Java Project folder and created the project for the library in Eclipse.
Then I created a project for my game, and from the project's properties I linked the Slick project as a reference.
Then I downloaded the newest LWJGL build (2.8.4) from its website, and added the jar into the game project (properties->Java Build Path->Libraries->Add Extrenal JARs...).
Now, as I try to run my test app, I get the following error:
Quote:
Exception in thread "main" java.lang.LinkageError: Version mismatch: jar version is '23', native library version is '24'


I tried to use LWJGL files from the kevglass-slick-9d7443ec33af.zip as well, but they also gave an error:
Quote:
Can't load IA 32-bit .dll on a AMD 64-bit platform & solution


I tried to follow the Option B tutorial too, but many steps lacked full explanation as to what I should do. It was too incomplete.

I'd like to get the library working with Option A, as I won't be updating it too often.

EDIT: [SOLVED]
I copied the newest .jar and .dll to the Slick library project. Overwriting the .dlls in the root folder, and the .jars in the /lib/ folder.


Top
 Profile  
 
PostPosted: Fri Jul 05, 2013 9:29 am 
Offline

Joined: Thu Jul 04, 2013 12:08 pm
Posts: 3
Hi, I had the same problem :

Code:
aused by: org.newdawn.slick.SlickException: Only orthogonal maps supported, found: isometric


So I downloaded the compiled developement sources (slick2d-development-build-by-arminb-2013-01-18) : https://lh.rs/5nLe3luqFBA9
I have extracted
In eclipse, right clic on my game folder > properties > Java Build Path > Librairies
I removed the standard librairies
I add armind'librairies with "add External Jars"

Now when I run my game I find :
Code:
Exception in thread "main" java.lang.LinkageError: Version mismatch: jar version is '23', native library version is '24'


Like you.

I try your solution but I m sorry I m noobie, and it is very difficult for me to anderstand this :
"EDIT: [SOLVED]
I copied the newest .jar and .dll to the Slick library project. Overwriting the .dlls in the root folder, and the .jars in the /lib/ folder."


Some one kindly can explain to me one more time please ? Thx a lot


EDIT :
Ok, I have found the solution : viewtopic.php?f=3&t=6629


Top
 Profile  
 
PostPosted: Sat Aug 13, 2016 10:35 am 
Offline

Joined: Fri Aug 12, 2016 12:37 pm
Posts: 4
The site isn't reachable anymore!


Top
 Profile  
 
PostPosted: Wed Aug 31, 2016 6:35 am 
Offline
Slick Zombie

Joined: Wed Apr 02, 2008 1:32 pm
Posts: 1340
Location: Italy
The old forum is migrated, here, just change url and works: viewtopic.php?f=3&t=6629

_________________
Blog | Last game Drone Swarm


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 12 posts ] 

All times are UTC


Who is online

Users browsing this forum: Google [Bot] and 83 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group